
# NOTE: build against: rhevm-*-docs-candidate
%define dist el7ev

# change these as needed
%global locale en-US
%global beta 0
%global product_line 4.0
#

%global manualdir %{_docdir}/%{name}/manual
%if 0%{?beta}
%global product_line_path %{product_line}-Beta
%else
%global product_line_path %{product_line}
%endif

%global product Red_Hat_Enterprise_Virtualization

%global admin_guide Administration_Guide
%global hardware_sriov Hardware_Considerations_for_Implementing_SR-IOV
%global install_guide Installation_Guide
%global admin_portal Introduction_to_the_Administration_Portal
%global user_portal Introduction_to_the_User_Portal
%global java_sdk Java_SDK_Guide
%global pkg_manifest Package_Manifest
%global python_sdk Python_SDK_Guide
%global release_notes Release_Notes
%global reports Data_Warehouse_Guide
%global rest REST_API_Guide
%global shell RHEVM_Shell_Guide
%global selfhosted Self-Hosted_Engine_Guide
%global tech_notes Technical_Notes
%global tech_ref Technical_Reference
%global upgrade_guide Upgrade_Guide
%global vmm_guide Virtual_Machine_Management_Guide

%global admin_guide_book %{product}-%{admin_guide}-%{product_line_path}-web-%{locale}
%global hardware_sriov_book %{product}-%{hardware_sriov}-%{product_line_path}-web-%{locale}
%global install_guide_book %{product}-%{install_guide}-%{product_line_path}-web-%{locale}
%global admin_portal_book %{product}-%{admin_portal}-%{product_line_path}-web-%{locale}
%global user_portal_book %{product}-%{user_portal}-%{product_line_path}-web-%{locale}
%global java_sdk_book %{product}-%{java_sdk}-%{product_line_path}-web-%{locale}
%global pkg_manifest_book %{product}-%{pkg_manifest}-%{product_line_path}-web-%{locale}
%global python_sdk_book %{product}-%{python_sdk}-%{product_line_path}-web-%{locale}
%global release_notes_book %{product}-%{release_notes}-%{product_line_path}-web-%{locale}
%global reports_book %{product}-%{reports}-%{product_line_path}-web-%{locale}
%global rest_book %{product}-%{rest}-%{product_line_path}-web-%{locale}
%global shell_book %{product}-%{shell}-%{product_line_path}-web-%{locale}
%global selfhosted_book %{product}-%{selfhosted}-%{product_line_path}-web-%{locale}
%global tech_notes_book %{product}-%{tech_notes}-%{product_line_path}-web-%{locale}
%global tech_ref_book %{product}-%{tech_ref}-%{product_line_path}-web-%{locale}
%global upgrade_guide_book %{product}-%{upgrade_guide}-%{product_line_path}-web-%{locale}
%global vmm_guide_book %{product}-%{vmm_guide}-%{product_line_path}-web-%{locale}


%global lang_css Common_Content/css/lang.css
%global missing_pdf_placeholder %{product}-missing.pdf
%global missing_html_placeholder %{product}-missing

Name:		rhevm-doc
Version:	%{product_line}.3
Release:	1.%{?dist}

Summary:	Red Hat Enterprise Virtualization documentation
Group:		Documentation
License:	CC-BY-SA
URL:		http://docs.redhat.com
Source0:    %{name}-index-%{locale}-4.0.3-1.tar.gz
Source1:    %{product}-Documentation-4.0-201608222022-en-US.tar.gz

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	python
BuildRequires:	python-argparse

%description

This package contains the Red Hat Enterprise Virtualization
in-product documentation in html and pdf format.

%prep
%setup -q -T -D -a 0 -c
%setup -q -T -D -a 1 -c

%build
make -C rhevm-doc-index

%install
rm -rf "%{buildroot}"
make -C rhevm-doc-index install DESTDIR="%{buildroot}"

# create the directory structure that ovirt-engine expects
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/html/%{admin_guide}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/html/%{hardware_sriov}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/html/%{install_guide}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/html/%{admin_portal}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/html/%{user_portal}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/html/%{java_sdk}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/html/%{pkg_manifest}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/html/%{python_sdk}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/html/%{release_notes}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/html/%{reports}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/html/%{rest}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/html/%{shell}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/html/%{selfhosted}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/html/%{tech_notes}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/html/%{tech_ref}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/html/%{upgrade_guide}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/html/%{vmm_guide}

mkdir -p "%{buildroot}%{manualdir}/%{locale}"/pdf/%{admin_guide}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/pdf/%{hardware_sriov}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/pdf/%{install_guide}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/pdf/%{admin_portal}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/pdf/%{user_portal}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/pdf/%{java_sdk}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/pdf/%{pkg_manifest}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/pdf/%{python_sdk}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/pdf/%{release_notes}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/pdf/%{reports}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/pdf/%{rest}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/pdf/%{shell}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/pdf/%{selfhosted}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/pdf/%{tech_notes}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/pdf/%{tech_ref}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/pdf/%{upgrade_guide}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/pdf/%{vmm_guide}


# package any book content that was generated by Pantheon
# if there was no book content, the first cp fails and the second cp installs a placeholder

cp -r %{admin_guide}/html/* "%{buildroot}%{manualdir}/%{locale}/html/%{admin_guide}" || \
    cp rhevm-doc-index/%{missing_html_placeholder}/* "%{buildroot}%{manualdir}/%{locale}/html/%{admin_guide}"

cp -r %{hardware_sriov}/html/* "%{buildroot}%{manualdir}/%{locale}/html/%{hardware_sriov}" || \
    cp rhevm-doc-index/%{missing_html_placeholder}/* "%{buildroot}%{manualdir}/%{locale}/html/%{hardware_sriov}"

cp -r %{install_guide}/html/* "%{buildroot}%{manualdir}/%{locale}/html/%{install_guide}" || \
    cp rhevm-doc-index/%{missing_html_placeholder}/* "%{buildroot}%{manualdir}/%{locale}/html/%{install_guide}"

cp -r %{admin_portal}/html/* "%{buildroot}%{manualdir}/%{locale}/html/%{admin_portal}" || \
    cp rhevm-doc-index/%{missing_html_placeholder}/* "%{buildroot}%{manualdir}/%{locale}/html/%{admin_portal}"

cp -r %{user_portal}/html/* "%{buildroot}%{manualdir}/%{locale}/html/%{user_portal}" || \
    cp rhevm-doc-index/%{missing_html_placeholder}/* "%{buildroot}%{manualdir}/%{locale}/html/%{user_portal}"

cp -r %{java_sdk}/html/* "%{buildroot}%{manualdir}/%{locale}/html/%{java_sdk}" || \
    cp rhevm-doc-index/%{missing_html_placeholder}/* "%{buildroot}%{manualdir}/%{locale}/html/%{java_sdk}"

cp -r %{pkg_manifest}/html/* "%{buildroot}%{manualdir}/%{locale}/html/%{pkg_manifest}" || \
    cp rhevm-doc-index/%{missing_html_placeholder}/* "%{buildroot}%{manualdir}/%{locale}/html/%{pkg_manifest}"

cp -r %{python_sdk}/html/* "%{buildroot}%{manualdir}/%{locale}/html/%{python_sdk}" || \
    cp rhevm-doc-index/%{missing_html_placeholder}/* "%{buildroot}%{manualdir}/%{locale}/html/%{python_sdk}"

cp -r %{release_notes}/html/* "%{buildroot}%{manualdir}/%{locale}/html/%{release_notes}" || \
    cp rhevm-doc-index/%{missing_html_placeholder}/* "%{buildroot}%{manualdir}/%{locale}/html/%{release_notes}"

cp -r %{reports}/html/* "%{buildroot}%{manualdir}/%{locale}/html/%{reports}" || \
    cp rhevm-doc-index/%{missing_html_placeholder}/* "%{buildroot}%{manualdir}/%{locale}/html/%{reports}"

cp -r %{rest}/html/* "%{buildroot}%{manualdir}/%{locale}/html/%{rest}" || \
    cp rhevm-doc-index/%{missing_html_placeholder}/* "%{buildroot}%{manualdir}/%{locale}/html/%{rest}"

cp -r %{shell}/html/* "%{buildroot}%{manualdir}/%{locale}/html/%{shell}" || \
    cp rhevm-doc-index/%{missing_html_placeholder}/* "%{buildroot}%{manualdir}/%{locale}/html/%{shell}"

cp -r %{selfhosted}/html/* "%{buildroot}%{manualdir}/%{locale}/html/%{selfhosted}" || \
    cp rhevm-doc-index/%{missing_html_placeholder}/* "%{buildroot}%{manualdir}/%{locale}/html/%{selfhosted}"

cp -r %{tech_notes}/html/* "%{buildroot}%{manualdir}/%{locale}/html/%{tech_notes}" || \
    cp rhevm-doc-index/%{missing_html_placeholder}/* "%{buildroot}%{manualdir}/%{locale}/html/%{tech_notes}"

cp -r %{tech_ref}/html/* "%{buildroot}%{manualdir}/%{locale}/html/%{tech_ref}" || \
    cp rhevm-doc-index/%{missing_html_placeholder}/* "%{buildroot}%{manualdir}/%{locale}/html/%{tech_ref}"

cp -r %{upgrade_guide}/html/* "%{buildroot}%{manualdir}/%{locale}/html/%{upgrade_guide}" || \
    cp rhevm-doc-index/%{missing_html_placeholder}/* "%{buildroot}%{manualdir}/%{locale}/html/%{upgrade_guide}"

cp -r %{vmm_guide}/html/* "%{buildroot}%{manualdir}/%{locale}/html/%{vmm_guide}" || \
    cp rhevm-doc-index/%{missing_html_placeholder}/* "%{buildroot}%{manualdir}/%{locale}/html/%{vmm_guide}"


cp %{admin_guide}/Red_Hat_Virtualization-%{product_line}-%{admin_guide}-%{locale}.pdf \
    "%{buildroot}%{manualdir}/%{locale}/pdf/%{admin_guide}/%{product}-%{admin_guide}.pdf" || \
    cp rhevm-doc-index/%{missing_pdf_placeholder} "%{buildroot}%{manualdir}/%{locale}/pdf/%{admin_guide}/%{product}-%{admin_guide}.pdf"

cp %{hardware_sriov}/Red_Hat_Virtualization-%{product_line}-%{hardware_sriov}-%{locale}.pdf \
    "%{buildroot}%{manualdir}/%{locale}/pdf/%{hardware_sriov}/%{product}-%{hardware_sriov}.pdf" || \
    cp rhevm-doc-index/%{missing_pdf_placeholder} "%{buildroot}%{manualdir}/%{locale}/pdf/%{hardware_sriov}/%{product}-%{hardware_sriov}.pdf"

cp %{install_guide}/Red_Hat_Virtualization-%{product_line}-%{install_guide}-%{locale}.pdf \
    "%{buildroot}%{manualdir}/%{locale}/pdf/%{install_guide}/%{product}-%{install_guide}.pdf" || \
    cp rhevm-doc-index/%{missing_pdf_placeholder} "%{buildroot}%{manualdir}/%{locale}/pdf/%{install_guide}/%{product}-%{install_guide}.pdf"

cp %{admin_portal}/Red_Hat_Virtualization-%{product_line}-%{admin_portal}-%{locale}.pdf \
    "%{buildroot}%{manualdir}/%{locale}/pdf/%{admin_portal}/%{product}-%{admin_portal}.pdf" || \
    cp rhevm-doc-index/%{missing_pdf_placeholder} "%{buildroot}%{manualdir}/%{locale}/pdf/%{admin_portal}/%{product}-%{admin_portal}.pdf"

cp %{user_portal}/Red_Hat_Virtualization-%{product_line}-%{user_portal}-%{locale}.pdf \
    "%{buildroot}%{manualdir}/%{locale}/pdf/%{user_portal}/%{product}-%{user_portal}.pdf" || \
    cp rhevm-doc-index/%{missing_pdf_placeholder} "%{buildroot}%{manualdir}/%{locale}/pdf/%{user_portal}/%{product}-%{user_portal}.pdf"

cp %{java_sdk}/Red_Hat_Virtualization-%{product_line}-%{java_sdk}-%{locale}.pdf \
    "%{buildroot}%{manualdir}/%{locale}/pdf/%{java_sdk}/%{product}-%{java_sdk}.pdf" || \
    cp rhevm-doc-index/%{missing_pdf_placeholder} "%{buildroot}%{manualdir}/%{locale}/pdf/%{java_sdk}/%{product}-%{java_sdk}.pdf"

cp %{pkg_manifest}/Red_Hat_Virtualization-%{product_line}-%{pkg_manifest}-%{locale}.pdf \
    "%{buildroot}%{manualdir}/%{locale}/pdf/%{pkg_manifest}/%{product}-%{pkg_manifest}.pdf" || \
    cp rhevm-doc-index/%{missing_pdf_placeholder} "%{buildroot}%{manualdir}/%{locale}/pdf/%{pkg_manifest}/%{product}-%{pkg_manifest}.pdf"

cp %{python_sdk}/Red_Hat_Virtualization-%{product_line}-%{python_sdk}-%{locale}.pdf \
    "%{buildroot}%{manualdir}/%{locale}/pdf/%{python_sdk}/%{product}-%{python_sdk}.pdf" || \
    cp rhevm-doc-index/%{missing_pdf_placeholder} "%{buildroot}%{manualdir}/%{locale}/pdf/%{python_sdk}/%{product}-%{python_sdk}.pdf"

cp %{release_notes}/Red_Hat_Virtualization-%{product_line}-%{release_notes}-%{locale}.pdf \
    "%{buildroot}%{manualdir}/%{locale}/pdf/%{release_notes}/%{product}-%{release_notes}.pdf" || \
    cp rhevm-doc-index/%{missing_pdf_placeholder} "%{buildroot}%{manualdir}/%{locale}/pdf/%{release_notes}/%{product}-%{release_notes}.pdf"

cp %{reports}/Red_Hat_Virtualization-%{product_line}-%{reports}-%{locale}.pdf \
    "%{buildroot}%{manualdir}/%{locale}/pdf/%{reports}/%{product}-%{reports}.pdf" || \
    cp rhevm-doc-index/%{missing_pdf_placeholder} "%{buildroot}%{manualdir}/%{locale}/pdf/%{reports}/%{product}-%{reports}.pdf"

cp %{rest}/Red_Hat_Virtualization-%{product_line}-%{rest}-%{locale}.pdf \
    "%{buildroot}%{manualdir}/%{locale}/pdf/%{rest}/%{product}-%{rest}.pdf" || \
    cp rhevm-doc-index/%{missing_pdf_placeholder} "%{buildroot}%{manualdir}/%{locale}/pdf/%{rest}/%{product}-%{rest}.pdf"

cp %{shell}/Red_Hat_Virtualization-%{product_line}-%{shell}-%{locale}.pdf \
    "%{buildroot}%{manualdir}/%{locale}/pdf/%{shell}/%{product}-%{shell}.pdf" || \
    cp rhevm-doc-index/%{missing_pdf_placeholder} "%{buildroot}%{manualdir}/%{locale}/pdf/%{shell}/%{product}-%{shell}.pdf"

cp %{selfhosted}/Red_Hat_Virtualization-%{product_line}-%{selfhosted}-%{locale}.pdf \
    "%{buildroot}%{manualdir}/%{locale}/pdf/%{selfhosted}/%{product}-%{selfhosted}.pdf" || \
    cp rhevm-doc-index/%{missing_pdf_placeholder} "%{buildroot}%{manualdir}/%{locale}/pdf/%{selfhosted}/%{product}-%{selfhosted}.pdf"

cp %{tech_notes}/Red_Hat_Virtualization-%{product_line}-%{tech_notes}-%{locale}.pdf \
    "%{buildroot}%{manualdir}/%{locale}/pdf/%{tech_notes}/%{product}-%{tech_notes}.pdf" || \
    cp rhevm-doc-index/%{missing_pdf_placeholder} "%{buildroot}%{manualdir}/%{locale}/pdf/%{tech_notes}/%{product}-%{tech_notes}.pdf"

cp %{tech_ref}/Red_Hat_Virtualization-%{product_line}-%{tech_ref}-%{locale}.pdf \
    "%{buildroot}%{manualdir}/%{locale}/pdf/%{tech_ref}/%{product}-%{tech_ref}.pdf" || \
    cp rhevm-doc-index/%{missing_pdf_placeholder} "%{buildroot}%{manualdir}/%{locale}/pdf/%{tech_ref}/%{product}-%{tech_ref}.pdf"

cp %{upgrade_guide}/Red_Hat_Virtualization-%{product_line}-%{upgrade_guide}-%{locale}.pdf \
    "%{buildroot}%{manualdir}/%{locale}/pdf/%{upgrade_guide}/%{product}-%{upgrade_guide}.pdf" || \
    cp rhevm-doc-index/%{missing_pdf_placeholder} "%{buildroot}%{manualdir}/%{locale}/pdf/%{upgrade_guide}/%{product}-%{upgrade_guide}.pdf"

cp %{vmm_guide}/Red_Hat_Virtualization-%{product_line}-%{vmm_guide}-%{locale}.pdf \
    "%{buildroot}%{manualdir}/%{locale}/pdf/%{vmm_guide}/%{product}-%{vmm_guide}.pdf" || \
    cp rhevm-doc-index/%{missing_pdf_placeholder} "%{buildroot}%{manualdir}/%{locale}/pdf/%{vmm_guide}/%{product}-%{vmm_guide}.pdf"


install -m 0755 -d "%{buildroot}%{_sysconfdir}/ovirt-engine/engine.conf.d"
cat > "%{buildroot}%{_sysconfdir}/ovirt-engine/engine.conf.d/10-rhevm-doc.conf" << __EOF__
ENGINE_MANUAL="%{manualdir}"
__EOF__

%files
%dir %{_docdir}/%{name}
%config %{_sysconfdir}/ovirt-engine/engine.conf.d/10-rhevm-doc.conf
%{manualdir}/

%changelog
* Tue Aug 23 2016 Greg Sheremeta <gshereme@redhat.com> - 4.0.3-1
- 4.0.3-1. Updated books and mapping file.
* Wed Jul 20 2016 Greg Sheremeta <gshereme@redhat.com> - 4.0.0-3
- 4.0.0-3. Changed sources to use new Pantheon build process.
  Publican is no longer used / required. Now instead of sources
  being docbook sources, our sources are the actual already built
  documentation in PDF and HTML form. rhevm-doc now simply copies
  it all into the right places.
* Tue May 17 2016 Greg Sheremeta <gshereme@redhat.com> - 4.0.0-2
- 4.0.0-2. bumped release.
* Tue Apr 26 2016 Greg Sheremeta <gshereme@redhat.com> - 4.0.0-0.1
- 4.0.0-0.1. initial 4.0 placeholder build.
* Thu Apr 14 2016 Greg Sheremeta <gshereme@redhat.com> - 3.6.0-7
- 3.6.0-7. update mapping file. add new books. a little cleanup.
* Mon Mar 28 2016 Greg Sheremeta <gshereme@redhat.com> - 3.6.0-6
- 3.6.0-6. update books.
* Thu Mar 3 2016 Greg Sheremeta <gshereme@redhat.com> - 3.6.0-5
- 3.6.0-5. update CSH mapping.
* Mon Feb 22 2016 Greg Sheremeta <gshereme@redhat.com> - 3.6.0-4
- 3.6.0-4. added sr-iov book. updated mapping files and books for GA.
* Wed Feb 3 2016 Greg Sheremeta <gshereme@redhat.com> - 3.6.0-3
- 3.6.0-3.
* Wed Nov 11 2015 Greg Sheremeta <gshereme@redhat.com> - 3.6.0-2
- 3.6.0-2.
* Mon Apr 20 2015 Greg Sheremeta <gshereme@redhat.com> - 3.6.0-1
- 3.6.0-1.
* Fri Mar 27 2015 Greg Sheremeta <gshereme@redhat.com> - 3.5.1-2
- 3.5.1-2. updated with multi-locale mapping files
* Thu Mar 19 2015 Greg Sheremeta <gshereme@redhat.com> - 3.5.1-1
- 3.5.1-1. updated CSH mapping and books.
* Tue Mar 3 2015 Greg Sheremeta <gshereme@redhat.com> - 3.5.0-5
- 3.5.0-5. updated CSH mapping and books.
* Sun Dec 14 2014 Greg Sheremeta <gshereme@redhat.com> - 3.5.0-4
- 3.5.0-4. fixed bug in PDF name cleaning
* Tue Nov 25 2014 Greg Sheremeta <gshereme@redhat.com> - 3.5.0-3
- 3.5.0-3
* Thu Nov 20 2014 Greg Sheremeta <gshereme@redhat.com> - 3.5.0-2
- 3.5.0-2. completely revamped to use docbook source directly.
* Thu Sep 11 2014 Greg Sheremeta <gshereme@redhat.com> - 3.5.0-1
- 3.5.0-1
* Wed May 28 2014 Greg Sheremeta <gshereme@redhat.com> - 3.4.0-6
- added section to strip locale from pdf names. added section to
  strip missing lang.css imports from css files. removed
  references to Linux in the book names.
* Wed Apr 30 2014 Greg Sheremeta <gshereme@redhat.com> - 3.4.0-5
- 3.4.0-5
* Tue Apr 29 2014 Greg Sheremeta <gshereme@redhat.com> - 3.4.0-4
- 3.4.0-4
* Tue Apr 22 2014 Greg Sheremeta <gshereme@redhat.com> - 3.4.0-3
- 3.4.0-3
* Tue Apr 1 2014 Kiril Nesenko <knesenko@redhat.com> - 3.4.0-2
- 3.4.0-2
